## PhoshHksManager

PhoshHksManager — Tracks hardware kill switch state

## Functions

PhoshHksManager * | phosh_hks_manager_new ()

## Properties

gboolean | camera-blocked | Read
char * | camera-icon-name | Read
gboolean | camera-present | Read
gboolean | mic-blocked | Read
char * | mic-icon-name | Read
gboolean | mic-present | Read

## Types and Values

enum | PhoshHksDeviceType
#define | PHOSH_TYPE_HKS_MANAGER
| PhoshHksManager

## Object Hierarchy

        GObject
        ╰── PhoshHksManager

## Description

Monitor hardware kill switch state. This will be submitted to gnome-settings-daemon once we figured out the kernel interfaces.

## Functions

### phosh_hks_manager_new ()

    PhoshHksManager *
    phosh_hks_manager_new (void);

## Types and Values

### enum PhoshHksDeviceType

Keep in sync with kernels rfkill types

#### Members

PHOSH_HKS_TYPE_MIC | Microphone hardware kill switch |

### PHOSH_TYPE_HKS_MANAGER

    #define PHOSH_TYPE_HKS_MANAGER (phosh_hks_manager_get_type ())

### PhoshHksManager

    typedef struct _PhoshHksManager PhoshHksManager;

## Property Details

### The `“camera-blocked”` property

      “camera-blocked”           gboolean

Camera blocked via hks.

Owner: PhoshHksManager

Flags: Read

Default value: FALSE

### The `“camera-icon-name”` property

      “camera-icon-name”         char *

Icon for camera hks.

Owner: PhoshHksManager

Flags: Read

Default value: ""

### The `“camera-present”` property

      “camera-present”           gboolean

HKS capable camera present.

Owner: PhoshHksManager

Flags: Read

Default value: FALSE

### The `“mic-blocked”` property

      “mic-blocked”              gboolean

Microphone blocked via hks.

Owner: PhoshHksManager

Flags: Read

Default value: TRUE

### The `“mic-icon-name”` property

      “mic-icon-name”            char *

Icon for microphone hks.

Owner: PhoshHksManager

Flags: Read

Default value: ""

### The `“mic-present”` property

      “mic-present”              gboolean

HKS capable microphone present.

Owner: PhoshHksManager

Flags: Read

Default value: FALSE